Summary:  A system-independent interface for user-level packet capture

Name:     libpcap
Version:  1.10.4
Release:  2%{?dist}
License:  BSD with advertising
URL:      https://www.tcpdump.org/
Source:   https://www.tcpdump.org/release/%{name}-%{version}.tar.gz

BuildRequires: make gcc git
BuildRequires: bison bluez-libs-devel flex
BuildRequires: glibc-kernheaders >= 2.2.0 

Patch0001:      0001-man-tcpdump-and-tcpslice-have-manpages-in-man8.patch
Patch0002:      0002-pcap-config-mitigate-multilib-conflict.patch
Patch0003:      0003-pcap-linux-apparently-ctc-interfaces-on-s390-has-eth.patch

%description
Tcpdump, a powerful command-line packet analyzer; 
and libpcap, a portable C/C++ library for network traffic capture.

%package devel
Summary: Libraries and header files for the libpcap library
Requires: %{name} = %{version}-%{release}

%description devel
This package provides the libraries, include files, and doc files needed for developing libpcap applications.

%prep
%autosetup -S git

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libdir}/libpcap.a

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc README.md CHANGES CREDITS
%{_libdir}/libpcap.so.*
%{_mandir}/man7/pcap*.7*

%files devel
%{_bindir}/pcap-config
%{_includedir}/pcap*.h
%{_includedir}/pcap
%{_libdir}/libpcap.so
%{_libdir}/pkgconfig/libpcap.pc
%{_mandir}/man1/pcap-config.1*
%{_mandir}/man3/pcap*.3*
%{_mandir}/man5/pcap*.5*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.4-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 3 2023 Shuo Wang <abushwang@tencent.com> - 1.10.4-1
- update to 1.10.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.1-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Apr 15 2022 jackbertluo <jackbertluo@tencent.com> - 1.10.1-1
- Initial build
